Prerequisites

Detailed Description

Getting Started with Simply Migrate Management Shell is really very easy.

Get the prerequisites installed, configured, install the management shell, and you’re done. Now, before you tut and think to yourself,  “well, that’s the case with all software”, you’re right, but you’ll be relieved to hear that it’s fast and easy, and we’re always here to help if you get stuck.

The below information isn’t going to change much regardless of your project. If you’re migrating to Office 365 (for example), you’re almost moving data already, actually, our customers typically go from where you are now, to migration in under 10 minutes!

The Prerequisites

The list of prerequisites depends partially on what you’re using Simply Migrate to achieve. All this is explained below in detail.

Spec your server.
For a basic deployment, start out with a single VM (or physical server), with 8Gb RAM, Four (4) Cores, and somewhere around 50Gb of free space. That will get you started and migrating fast. For a more complex deployment, have a chat with your account manager to work out the most efficient model that suits your needs.

Windows Server 2008 R2 / Windows 2012 or above.
You’d think this can go without saying, but here we are documenting it. A typical scenario sees Simply Migrate Management Shell installed on Windows 2012 Servers, but all of the above, and more are supported.

.NET 4.6.2 or above
This is important. You’ll know where to get it. If you need to determine what .NET version you are running please visit the following Microsoft article;

How to: Determine Which .NET Framework Versions Are Installed
https://msdn.microsoft.com/en-us/library/hh925568(v=vs.110).aspx

Microsoft SQL Server
Typically for any implementation where you are expecting more than around 300 average users, we recommend Microsoft SQL Server, if you are deploying a smaller footprint, SQL Express can handle the job.

Outlook 2010 or above (64 bit)
In some circumstances, the Simply Migrate Management Shell uses MAPI. In order to do so, we recommend Outlook 2010 x64 or above. While you’re taking the trouble to install Outlook, go on and initialise it by setting up a profile. It will save time later. It doesn’t matter what profile, just run it up once.

Enterprise Vault Runtime
If your migration has anything to do with Enterprise Vault, you’ll need to install the Enterprise Vault Runtime that matches your version of Enterprise Vault. It can be found on your installation media of Enterprise Vault, or ask your support representative. This install requires .Net 3.5.

IIS 7 or above
For those times when you want a UI to see how things are going. We install and configure the web interface during installation, but we need somewhere to publish it.

While you’re doing that, please install the Windows Server Hosting package for Dot Net Core. You can get the latest copy from here.

Microsoft Windows PowerShell version 5
If you using an older Operating System, please grab yourself the latest copy of PowerShell. As of January 2018, PowerShell version 5 is a requirement so go ahead and install it!.

AntiVirus Exclusions
In order to get the best performance you can from the Simply Migrate Management Shell, set your exclusions to include the TEMP folder you have configured in the Configuration options. To see where your TEMP folder is configured, use the Get-SMConfig cmdlet. While you are at it, get the SimplyMigrate.Server.Client.exe process excluded. It’s important.  If you are writing to PST file as a target, it is highly recommended that you exclude the target folder as well.